Module
Inhalte
Index 🔎︎

# Funktion WeekDay

Gibt aus einem seriellen Datum, das durch die Funktionen DateSerial oder DateValue erzeugt wurde, eine Zahl zurück, die einem Wochentag entspricht.

## Syntax:

    WeekDay (Zahl)

## Rückgabewert:

Integer

## Parameter:

Zahl: Integer-Ausdruck, der die serielle Datumszahl enthält, aus der der Wochentag (1-7) errechnet werden soll.

Das folgende Beispielprogramm erlaubt die Eingabe eines Datums und ermittelt anschließend mit Hilfe der WeekDay-Funktion den Wochentag. Der Wochentagname wird anschließend ausgegeben.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleWeekDay

    Dim sDay As String

    ' Wochentag ermitteln und ausgeben

        Select Case WeekDay( Now )

            Case 1

                sDay="Sonntag"

            Case 2

                sDay="Montag"

            Case 3

                sDay="Dienstag"

            Case 4

                sDay="Mittwoch"

            Case 5

                sDay="Donnerstag"

            Case 6

                sDay="Freitag"

            Case 7

                sDay="Samstag"

        End Select

        MsgBox "" + sDay,64,"Heute ist"

    End Sub